# POST /api/v1/configuration/{orgId}/validate

**Validate Scan Configuration**

Validates a HawkScan Configuration for potential problems.

> Requires `read:scan_config` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.

## Request Body

### application/json

- `conf` (string) — The HawkScan YAML configuration to save for this organization.
- `configType` (string) — Whether the app is tied to a single application or shared by an organization.
- `name` (string) — The name of this saved scan configuration. The name should match the conf appId if the configuration is saved for an organization's application.

## Responses

### 200 — * a response of validation problems (markers) for an asset, that work with code editor linters

#### application/json

- `markers` (configuration.Marker[]) — the list of schema validation markers
  - `code` (string) — problem code line
  - `endColumn` (integer<int32>)
  - `endLineNumber` (integer<int32>)
  - `message` (string) — problem message
  - `owner` (string) — "StackHawk"
  - `resource` (string) — name of validated file
  - `severity` (string) — severity of the problem
  - `source` (string) — source deriving where the problem definition comes from
  - `startColumn` (integer<int32>)
  - `startLineNumber` (integer<int32>)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
